{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "lf";
  cfg = config.dots.${program};
  #sec = sops.secrets;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    # just using the normal lfrc
    programs.${program} = {
      enable = false;
    };

    # install it to userspace
    home.packages = with pkgs; [lf ctpv trashy];

    # link configs
    xdg.configFile."lf/lfrc" = {
      source = config.lib.file.mkOutOfStoreSymlink "/home/blake/.nix/users/blake/dots/core/lf/lfrc";
    };
    xdg.configFile."ctpv/config" = {
      source = config.lib.file.mkOutOfStoreSymlink "/home/blake/.nix/users/blake/dots/core/lf/ctpv_config";
    };
  };
}
